Subject: cygwin 1.3.19-1 file permission out of sync with NTFS on XP?
From: Andrew Chang <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 3 Feb 2003 11:14:03 -0800

I have a situation in which a cygwin app created a file, chmod it to readonly.
then we have a win32 app chomd the same file to writable (0644).
In cygiwn 1.3.12, the new write permission would show up in the 
cygwin "ls -l" command. In cygwin 1.3.19-1, the write permission is not visible in cygwin "ls -l",
but if I go to the Explorer, it would show the file as writable.
Originally I thought is was a cache delay problem, but it never caught up.
Rebooting XP does not help either.

Did the permission code changed somewhere between cygwin 1.3.12 and 1.3.19-1 ?
It there something I can do to make them sync up again ?
(Note: I also tried "CYGWIN=ntsec", it does not help).

Thanks
Andrew

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/